共通パラメータ
これらのパラメータはすべてのAmazonのtypeで共通して使用できます。エンドポイント固有のパラメータ(type=productの場合のasinやseller系タイプのseller_idなど)は各エンドポイントページに記載されています。
| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
api_key | string | yes | あなたのSERP APIキー |
engine | string | yes | amazonである必要があります |
type | string | yes | 対象となるサーフェス(search、product、bestsellers、deals、category、seller_profile、seller_products、seller_feedback) |
domain | string | no | 対象のマーケットプレイス(例:amazon.co.uk、amazon.de)。デフォルトはamazon.com |
device | desktop | mobile | no | シミュレートするデバイス |
page | integer | no | ページネーション対応タイプのページ番号 |
output | json | html | no | レスポンス形式。デフォルトはjson |
デバイスおよびマーケットプレイスの例
Section titled “デバイスおよびマーケットプレイスの例”米国デスクトップの家電ベストセラー:
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=bestsellers&category_id=electronics&domain=amazon.com"ドイツのモバイル検索:
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=laptop&domain=amazon.de&device=mobile"ページネーション
Section titled “ページネーション”pageは1から始まるインデックスです。レスポンスにnext_page URLが含まれている場合は、そのURLに直接アクセスするか、pageをインクリメントしてください。
# Page 1curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=books&page=1"
# Page 2curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=books&page=2"